*COMDECK HISTORY
 *L564*    ************************************************ 
ST5A262   LOAD MAP TO FILE OUTPUT IS INCONVENIENT ON NOS
          THIS MOD CHANGES S$OWNLD TO WRITE LOAD MAP TO 
          LFN ZZZZZLM AND TELL THE USER VIA DAYFILE MESSAGE 
          GSP    11-11-81    S$OWNLD
ST5A271          A DESIGN OVERSIGHT IN THE FASTIO OPTION. 
          THE FAST INPUT-OUTPUT PROCEDURES WERE NOT CORRECTLY 
          MAKING THE TRANSITION FROM INIT-CODE TO LONG-CODE 
          WHEN SAME INPUT FILE LASTED THROUGH THE 2 PHASES. 
          GSP    9-2-81      S$GNGR1,S$MAIN 
ST5A274   LOGIC ERROR IN MERGE-VERIFY 
          GSP    9-2-81      S$GNVFY
ST5A277   WHEN FILE POSITION WAS END OF SECTION,
          SORT5 STOPPED READING. THIS WAS NOT COMPATIBLE WITH 
          SORT4.
          GSP    9-14-81     S$GNGR1
ST5A280   CODE FOR SORT5 COMPLETION MESSAGE TO SAY "SORTED" 
          OR "MERGED" DEPENDING ON A SORT RUN OR A MERGE RUN
          AND TO RECOGNIZE PARAMETER "VER". 
          TND    9/10/81     SORT5,MERGE,S$MESAG,SM5SORT,SM5MERG,SKELETON 
                             CLP$TP,S$GTCSP 
ST5A281   IMPROVE HANDLING OF USER ERROR WHERE A
          RECORD LESS THAN MNR CHARACTERS IS GIVEN TO SORT
          GSP    1-18-82     S$GNLEN
ST5A291   SORT5 OUTPUTS INCORRECT NUMBER OF RECORDS SORTED
          FOR SUBSEQUENT SM5SORT OR SM5MERG CALLS IN A PROGRAM. 
          CODE TO INITIALIZE THE INTERNAL INFO ARRAY S$ARRY IN
          S$GTSPC FIXES THE PROBLEM.
          TND    11/10/81    S$GTSPC
ST5A295   SORT5 DOES NOT CATCH BAD SUM SPECIFICATIONS AND 
          RESULTS IN MODE ERROR.
          CODE TO CHECK FOR BAD SUM SPEC AND ISSUES 
          DIAGNOSTIC PUT IN S$SETWH FIXES THE PROBLEM.
          TND    11/11/81    S$SETWH
ST5A301   REDUCES FIELD LENGTH BY ABOUT 14K,
          SPEEDS UP SHORT SORTS,
          CLEANS UP ASSEMBLY OPTIONS. 
          DJF    9/9/81      CAPLIB,  CHARGE,  SKELETON,STRTBL$,
                             ZFN,     ST5TEXT, CMM$FRF, CMM$OP1,
                             CMM$OP2, CMM$SLF, S$EXECU, S$GNCNI,
                             S$GNCVI, S$GNID,  S$GNIF,  S$GNII, 
                             S$GNIL,  S$GNIN,  S$GNLEN, S$GTSPC,
                             S$LOAD,  S$LOADM, S$LOADS, S$OPTBL,
                             S$P,     S$PASS,  S$PERF,  S$PF, 
                             S$PRTCD, S$SRTPH, S$ULOAD, 
                             S$ULODS, S$ZZZ3U, /SETUP,  /UPDATE 
  
ST5A302   FAILURE WHEN SORTING VERY LARGE FILES - 
          500,000+ RECORDS. 
          TND,GSP  11-11-81    LSTRTBL,SKELETON,STRTBL$,
                               S$GNLG1,S$GNLG4,S$SRTPH,S$MGDSN,S$MDRD 
ST5A303   COMDECK ZFN WAS NOT PERFORMING AS CLAIMED 
          AND THE CAPSULE S$ERR WAS NOT GETTING UNLOADED. THIS
          CAUSED A MODE ERROR WHEN QU USED SORT5. 
          GSP    11-2-81     ZFN
ST5A304   SORT FAILED WHEN MERGE DESIGN DESIGNED A ONE
          WAY MERGE 
          DJF,GSP    11-13-81    S$GNIM2
ST5A305   ZERO PARAMETER NOT RECOGNIZED ON SMFILE CALL
          GSP    11-10-81    S$FILE 
ST5A306   PROBLEM WITH VARIABLE LENGTH RECORDS
          GSP 1-13-82    LBLPTR,S$GNIV9,SKELETON,S$GNINV
                         S$GNCVI,S$GNXLN,S$GNPIR,S$GNGIV
                         S$STREC,S$GNIV8
ST5A307   LONG SORTS WERE FAILING ON NOSBE BECAUSE
          THE RANDOM BIT IN ZZZZZ FETS WAS NOT BEING SET
          WHEN THEY WERE READ 
          ** THIS CODE ONLY AFFECTS NOS-BE ** 
          GSP    12-17-81    S$GNIM1
ST5A308   SORT5 INSTALLATION ON NOS-BE CAUSED THREE SERIOUS 
          EDITLIB DIAGNOSTICS.
          GSP    12-30-81    S$P,S$PF,S$ZZZ3U 
ST5A311   THIS CODE MAKES SORT5 WORK WITH NOS R6. 
          WITH NOS R6 CAME SOME CHANGES IN C.I.O. THE CHANGE WHICH
          BROKE SORT5 WAS THAT C.I.O. BEGAN RETURNING THE DEVICE TYPE 
          OF A FILE IN WORD 1 OF THE F.E.T.   THIS LED TO INVALID 
          60-BIT ARITHMETIC AND INVALID F.E.T. POINTERS.
          GSP    2-7-82      S$GNGIR,S$GNPIB,S$GNLG4,S$GNGIB
                             S$GNSMA,S$GNGIV,S$GNFM1
 *L577*    ************************************************ 
ST5A263   PREVENT ABORT WHEN RELOCATABLE SORT DOES
          NOT PROVIDE ANY RAW PARAMETERS (RP$) TO SAVE. SUCH
          A CALL WOULD BE CALL SM5SORT,CALL SM5END. THIS MINIMAL
          CALL CAUSED A MODE ERROR. 
          GSP    5-6-82      S$SETPT,SM5SORT,SM5MERG
ST5A266   SUMMING OVERFLOW ACTION WAS NOT RELIABLE. 
          THAT IS, IT WAS ENTIRELY POSSIBLE FOR OVERFLOW TO 
          OCCUR WITH NO MESSAGE BEING ISSUED TO THE USER. 
          GSP    2-1-82      S$GNSMK,S$GNSUM
ST5A282   DIALOG IS MIXING UP KEYTYPES
          GSP    1-18-82     S$ANSKS
ST5A294   SORT5 WAS NOT DIAGNOSING TOTAL KEY-SUM CHARS GR 
          255 IN THE CASE WHERE THE KEY WAS SPECIFIED BY DEFAULT I.E. 
          THE ENTIRE RECORD.
ST5A314   PREVENT FAILURE WITH LONG SORTS AND SHORT 
          VARIABLE LENGTH RECORDS.
          GSP    3-3-82      S$GNPIB,S$PRSPC
ST5A317   ISSUE CONSOLE MESSAGES TO SHOW SORT STATUS
          GSP 3-19-82 S$MAIN,S$SRTPH,S$INFO(NEW),SKELETON,SPEC$ 
ST5A318   REDUCE MAX FL FOR RELOCATABLE SORTS.
          THIS IDENT PREVENTS S$GNGRU AND S$GNPRU FROM BEING
          IN MEMORY AT THE SAME TIME
          GSP    3-22-82     S$GNSRT,S$PRSPC,S$SETWH
ST5A319   REPLACE TERMINAL "WRITER" WITH "WRITE" FOR
          NOS. THIS IS SUPPOSED TO MAKE DIALOGUE WORK FASTER
          ON NOS. 
          GSP    2-24-82     S$PUTWD
ST5A320   DIALOGUE NOT RECOGNIZING "BINARY_BITS" AND
          "INTEGER_BITS". 
          GSP    4-5-82      S$GTIKY
ST5A324   ISSUE ERROR DIAGNOSTIC IF SUM FIELD COMPUTES TO 
          A LENGTH GREATER THAN 60 BITS I.E. MAXIMUM. 
          GSP    4-14-82     S$SETWH,S$ERMSG
ST50003   SEVERAL ROUTINES FAIL WHEN LITERAL
          PARAMETERS ARE ZERO-FILLED. 
          GSP  6-9-82     S$BFILL(NEW),S$5KEY,SKELETON,S$5SUM 
                          S$KEY 
ST50004   THE 63 CHARACTER SET COLON WAS NOT PROPERLY PLACED IN THE 
          COLLATING SEQUENCE TABLES.
          CODE SUBMITTED BY H. LUIIJF OF PLTN (THE NETHERLANDS).
          GSP    5-27-82     S$SETWH
ST50006   SUM AND RETAIN CANNOT BE USED TOGETHER, YET 
          THIS CONDITION WAS NOT DIAGNOSED. 
          GSP    6-10-82     S$SETWH,E$,S$ERMSG 
 *L587*    ************************************************ 
ST5A328   FIX MODE ERROR IN STP35, DISCOVERED 8-16-82 
          THIS IS A BUG OF LONG STANDING WHICH JUST RECENTLY
          SHOWED ITSELF.
          THE PROBLEM IS CALLING S$SEQX WITH THE INCORRECT
          NUMBER OF PARAMETERS. 
          GSP 8-18-82                  SM5SEQA,S$5SEQS,SM5SEQR
ST5A329   CHANGE ENTRY POINTS NAMED CMM$XXX TO
          S$CMXXX. (ENABLES USE WITH COBOL5)
          GSP    9-26-82    SKELETON,S$GNFMG,S$GNIMG,S$GNSRT
                          S$GTSPC,S$MAIN,S$MERGE,S$PRSPC,S$SETPT
                          S$SORT,S$SRTPH,S$SVREL,CMM$ALF,CMM$OP1
                          CMM$OP2,CMM$FRF,CMM$SLF,PASSLOC 
ST5A330   FIXES ST5A306 - AN END CASE WITH VARIABLE LENGTH
          RECORDS WHERE REG X7 WAS LOST.
          GSP    9-27-82     S$GNGIV,LBLPTR 
ST5A332   SORT WAS READING INPUT FILE TWICE WHEN
          THE INPUT FILE WAS THE ONLY PARAMETER SPECIFIED 
          ON A CONTROL CARD SORT. 
          GSP    11-8-82     S$GTCSP
ST5A334   DELETE CODE WHICH SAVES SPACE FOR I-O BUFFERS 
          IN WSA. IT IS ALLOCATED DYNAMICALLY, EITHER EXPLICITLY
          OR BY CRM.
          CODE SUBMITTED BY WRIGHT-PATTERSON AFB. 
          GSP  10-11-82      S$ALCF,S$ALCS
ST5A335   FORCE OPEN$RM CAPSULE OUT OF MEMORY.
          CODE SUBMITTED BY WRIGHT-PATTERSON AFB. 
          THIS MOD IMPROVES FIELD LENGTH FOR ALL FASTIO SORTS 
          AND ALSO REDUCES FIELD LENGTH BY ABOUT 10K OCTAL
          FOR LONG-CODE IN THE TYPICAL CASE.
          IT ONLY COSTS ABOUT 6 MILLISECONDS CP TIME. 
          GSP    12-16-82    S$MAIN 
ST5A336   SORT/MERGE WAS ALWAYS REWINDING INPUT FILES AFTER READING THEM
          WITHOUT PAYING ATTENTION TO THE CLOSE FLAG (CF) PARAMETER.
          THIS WAS ESPECIALLY TROUBLESOME WHEN THE INPUT FILE WAS A 
          MULTI-REEL TAPE SINCE THE OPERATOR HAD TO REMOUNT THE FIRST 
          VOLUME. 
          THE ATTACHED CODE FIXES THIS PROBLEM. 
          DJF    1/8/83      S$GNGR1
ST50013   SORT5 WAS NOT DIAGNOSING THE CASE WHERE THE 
          RECORD LENGTH IMPLIED BY THE KEY SPECIFICATION(S) 
          EXCEEDED THE MAXIMUM RECORD LENGTH SPECIFIED BY THE USER. 
          IT SIMPLY INCREASED THE INTERNAL MAXIMUM RECORD LENGTH
          TO WHAT WAS NECESSARY WITH NO DIAGNOSTIC. THIS CODE 
          FIXES THE PROBLEM.
          GSP    8-16-82     S$PRSPC,E$,S$ERMSG,S$MAIN
ST50015   CORRECTS IDENT ST5A324. THE MAXIMUM LENGTH FOR
          DISPLAY-NUMERIC SUM FIELDS IS TEN CHARACTERS IN THE 
          EXTERNAL RECORD, NOT SEVENTEEN. 
          GSP    8-16-82     S$SETWH,S$ERMSG
ST50020   FASTIO=YES, RT=F, FL NOT = TO A MULTIPLE OF 10
          WAS CREATING EXTRA RECORDS WHEN TOTAL NUMBER OF CHARACTERS
          ON INPUT FILE WAS NOT A MULTIPLE OF 10. THIS CODE 
          FIXES THE PROBLEM.
          GSP    9-30-82     S$GNGR1
ST50021   FIXES A PROBLEM IN S$STREC, OF LONG STANDING. 
          S$STREC WAS MIXING UP THE EXTERNAL AND INTERNAL LENGTH
          OF NUMERIC-DISPLAY KEY AND SUM FIELDS, AND THIS CAUSED
          PROBLEMS WITH VERY SHORT RECORDS. 
          GSP    9-28-82     S$STREC,S$GNINV,SPEC$,S$GNREV, 
                             S$GNSUM,S$PRSPC,S$PSPEC,S$SETWH
ST50024   REMOVE INVALID OVERFLOW MESSAGES FOR
          SIGNED SUM FIELDS LESS THAN 60 BITS LONG. 
          (CASE THREE IN S$GNSMK) 
          CODE PROVIDED BY C.B.S. HOLLAND.
          GSP    9-21-82     S$GNSMK
ST50025   EXTENDS FIX FOR ST5A277 TO INCLUDE FASTIO 
          CODE SUBMITTED BY WRIGHT PATTERSON AFB. 
          GSP    10-5-82     S$GNGR1
ST50028   UNEQUAL KEYS TREATED AS EQUAL KEYS
          DUE TO AN ERROR IN S$GNCMP. 
          CODE SUBMITTED BY C.B.S. HOLLAND. 
          GSP    11-4-82     S$GNCMP
ST50032   -VER- PARAMETER IGNORED WITH NO VERIFICATION
          PERFORMED.
          CODE SUBMITTED BY C.B.S. HOLLAND. 
          GSP    12-16-82    S$GTCSP
 *L601*    ************************************************ 
ST5A245   FASTIO PARAMETER NOT RECOGNIZED IN POSITIONAL 
          NOTATION. 
          GSP    2-10-83     S$GTCSP,PDT$,S$STPDT,CLP$SPL 
                             CLP$TP,CLP$GTV 
 ST5A297  VARIOUS CCL REGISTERS WERE NOT RECOGNIZED 
          BY THE ROUTINE CLP$TR.
          GSP    7-12-83     CLP$TR 
 ST5A299  POSITIONAL PARAMETER NOT RECOGNIZED AS
          SUCH WHEN IT WAS THE LAST PARAMETER AND 
          IT WAS ALSO EQUAL TO A KEYWORD. 
          GSP    7-1-83      CLP$SPL
 ST5A300  $NULL NOT RECOGNIZED IN POSITIONAL NOTATION 
          GSP    7-12-83     CLP$SPL
 ST5A315  DIALOG DID NOT ASK USER FOR OWNMRL OR OWNFL 
          AND THEREFORE IT WAS IMPOSSIBLE TO SPECIFY THIS 
          PARAMETER.
          GSP    7-15-83     S$GTIIN
ST5A337   IDENT ST5A336 CAUSED INCOMPATIBILITY WITH SORT 4. 
          THIS IDENT RESTRICTS THE FILE POSITIONING OF THAT IDENT 
          TO SORT5 CALLS ONLY, AND LEAVES IT AS IT WAS FOR SORT 4 
          COMPATIBLE CALLS. 
          GSP    2-24-83     S$GNGR1
 ST5A339  SM5FROM AND SM5TO EXPECTED PARAMETERS ON A
          WORD BOUNDARY, AND IGNORED THE CONVENTIONS
          FOR PASSING PART-WORD CHARACTER ARRAYS. 
          GSP    7-8-83      SM5FROM,SM5TO,S$TO2(NEW),
                             SKELETON 
 ST5A340  PROBLEMS WITH OWN-CODE 5 NOT BEING HANDLED
          PROPERLY. 
          GSP    6-4-83      S$STLEN(NEW),S$GNREV,S$GNPR3, SKELETON 
                             S$ERMSG, E$
 ST5A341  WHEN MERGE IS SPECIFIED WITH FASTIO, A MODE 
          ERROR RESULTS RATHER THAN THE WARNING DIAGNOSTIC
          SPECIFIED IN THE REFERENCE MANUAL.
          GSP    4-20-83     S$SETWH
 ST5A342  CALLING SM5ENR WITH A LOW NUMBER OF RECORDS CAUSED
          THE RETAIN OPTION TO FAIL FOR LARGE SORTS 
          GSP    6-4-83      S$STREC
 ST5A344  MISSING PERIOD ON CONTINUATION LINE WAS 
          NOT PROPERLY DIAGNOSED. 
          GSP    7-6-83      S$GTTXT
 ST5A345  ERRONEOUS DIAGNOSTIC 116 ISSUED WHEN
          NO FILES SPECIFIED AND OFL = KEY-SIZE 
          GSP    7-20-83     S$GTCSP
 ST5A346  ERROR MODE WHEN OWNCODE 2 SPECIFIED WITHOUT 
          OWNCODE 1, AND NO INPUT FILES SPECIFIED.
          GSP    7-14-83     S$GNGR2
 ST5A347  OWN-CODE 5 CALLED WITH UNEQUAL KEYS.
          THIS REVEALS A DESIGN ERROR IN OWN-CODE 5 
          PROCESSING FOR LONG SORTS WHICH REQUIRE INTERNAL
          MERGES. 
          GSP    8-4-83      S$GNPR2,S$GNPR3,S$GNCHK(NEW) 
                             S$GNPRU, SKELETON
 ST50033  IMPLEMENTS TRUE MERGE INSTEAD OF PROVIDING
          FUNCTIONAL EQUIVALENT VIA SORT. 
          THIS MODSET REQUIRES INSTALLATION DECK CHANGES
          FOR THE TWO NEW CAPSULES (S$MRGPH AND S$GNOPM)
          GSP    3-30-83         -NEW DECKS-
                             S$UMDSN, S$MRGPH, S$GNOPM, S$GNOM1,
                             S$GNOM2, S$GNOM3, S$GNOM4, S$GNJSR,
                             S$GNRTN, S$GNGOM, S$ALOPM
                                 -NEW COMMON DECKS- 
                             SMT$, WSAO$
                                 -OLD DECKS AFFECTED- 
                             LBLPTR, SKELETON, SPEC$, S$GNGRU,
                             S$GNINV, S$MAIN, S$SETWH, S$SRTPH, 
                             S$GNGR1, S$GNIV8, S$GNIV9, S$MDWR, 
                             +SETUPD, /SETUP, /UPDATE 
ST50034   FASTIO DID NOT WORK FOR TAPES BUT IT
          ATTEMPTED TO, AND SORRY RESULTS OCCURRED. THIS
          IDENT ENSURES THAT FASTIO FILES DO NOT RESIDE 
          ON TAPE. IF THEY DO, THE FASTIO REQUEST IS IGNORED
          AND THE NORMAL CRM FILE PROCESSORS ARE USED.
          GSP    1-20-83  S$PRSPC,S$FINFO (NEW) 
                          SKELETON,E$,S$ERMSG 
ST50036   EXTERNAL RECORD LENGTH WAS WRONG WHEN SUM FIELDS
          SPECIFIED WITH A REPETITION FACTOR. 
          CODE SUBMITTED BY C.B.S. HOLLAND
          GSP    1-24-83     S$STREC
 ST50037  SORT 5 STOPPED AT EOS IN FASTIO MODE
          EVEN WITH PSRS ST5A277, ST50020, AND ST50025
          INSTALLED.
          GSP    7-1-83      S$GNGR1
 ST50038  CONTROL CARD SCANNER DID NOT PERMIT 
          TWO COLLATING SEQUENCES IN ONE DIRECTIVE
          FILE, AND ALSO DID NOT DIAGNOSE 
          OTHER SORT DIRECTIVES INTERMIXED WITH 
          THE VARIOUS SEQX DIRECTIVES.
          GSP    7-13-83     S$GTCSP
 ST50039  FIXES MODE ERROR WITH SUMMING AND SHORT-CODE
          BY USING REGISTER X2 INSTEAD OF X1. 
          PROBLEM REPORTED BY C.B.S. HOLLAND, WITH SUGGESTED
          FIX.
          GSP    2-28-82     S$GNSMK
 ST50042  DIALOG ACCEPTED A NUMBER > 100 FOR
          THE NUMBER OF INPUT FILES.
          GSP 6-4-83  S$GTIIN 
 ST50043  FIXES PROBLEM WITH THE INTERACTIVE DIALOG RUNNING 
          OUT OF FILE NAMES AFTER TWENTY HAVE BEEN ASKED FOR
          GSP    6-4-83      S$GTIIN
 ST50046  FIX NONSTANDARD RELOCATION IN S$PASS
          CODE SUBMITTED BY EDWARDS AFB 
          GSP    4-6-83      S$PASS,S$STRPV 
          SOME SORTS WITH T-TYPE RECORDS CAUSED MODE ERRORS 
          AND INFINITE LOOPING BECAUSE OF UNTESTED CODE IN
          S$GNPIB.
          GSP    5-18-83     S$PRSPC, S$GNPIB, S$FETCH
 ST50049  PRESERVE REGISTER A0 FROM FTN5 CALLS. 
          CODE SUBMITTED BY R. ANDERSON, UNIVERSITY 
          OF ARIZONA COMPUTER CENTER. 
          GSP    6-22-83     CMM$ALF,S$LOADM
 ST50052  CATASTROPHIC ERRORS WHEN SORT5 COMMANDS 
          WERE PREFIXED WITH LEADING SPACES IN INDENTED 
          CCL PROCEDURES
          GSP    6-29-83     S$GTCTL, PASSLOC 
 ST50053  SORT IGNORED SMOPT "NODAY" CALLS
          AND PUT OUT SUMMARY MESSAGE REGARDLESS. 
          GSP    6-28-83     S$MAIN,SPEC$,S$COLST,S$SETWH 
 ST50055  MERGE PHASES HUNG WHEN THE BUFFER SIZES 
          WERE BARELY LARGE ENOUGH TO CONTAIN AN ENTIRE RECORD
          AND THE RECORD WAS HUGE - 5000 CHARACTERS LONG
          GSP    7-26-83     S$MGDSN, S$SRTPH 
 ST50056  BUFFER ARGUMENT ERRORS IN FINAL MERGE 
          AS A RESULT OF TRUNCATION, IN THE CASE WHERE
          LONG-CODE PRODUCED LESS THAN 15 STRINGS OF
          ENORMOUS LENGTH.
          CODE SUBMITTED BY WRIGHT-PATTERSON AFB. 
          GSP    7-26-83     S$MGDSN
 ST50058  CODE TO RETURN INTERMEDIATE MERGE FILES 
          WHEN INTERMEDIATE MERGE IS COMPLETED
          GSP    7-28-83     S$CLEAR(NEW), SKELETON, S$SRTPH
 ST50061  FILE POSITIONING FOR OUTPUT FILES NOT 
          CONSISTENT WITH DESCRIPTION IN REFERENCE MANUAL 
          GSP    8-10-83     S$GNSH1, S$GNSH3, S$GNFM1, S$GNFM4 
 ST50065  REMOVE INTERNAL ABORT S$SETWH-0, AND ADD
          NEW ERROR MESSAGE 157.
          GSP    8-19-83     E$, S$ERMSG, S$SETWH 
 *L617*    ************************************************ 
 ST5A343  ISSUE CATASTROPHIC ERROR WHEN USER
          PROVIDES A RECORD TOO SMALL TO HOLD THE SPECIFIED 
          KEYS AND ABORT THE RUN
          GSP    7-1-83      S$GNLEN,S$GNOM1,S$GNOM4,S$GNGR1
                             S$GNGR2,LBLPTR 
 ST5A348  REPLACE UNLOAD MACRO WITH CLOSE, UNLOAD MACRO 
          TO CIRCUMVENT A FEATURE OF NOS/BE. THIS FEATURE 
          PROVIDES THAT THE UNLOAD MACRO ON NOS/BE WILL NOT,
          IN FACT, UNLOAD A FILE. 
          REFERENCE PSR NB0E379.
          GSP    8-15-83     S$GNPR1
 ST5A349  DEBUG SORT FLOODS PPS WITH UNNECESSARY CIO
          CALLS, CAUSING GREAT DELAYS IN DEBUGGING WORK 
          AND UNNECESSARY SYSTEM OVERLOAD.
          GSP    9-13-83     CLP$GTV, S$GTCSP, S$GTTOK, 
                             DEBUG(NEW COMDECK), CLP$SPL
                             CLP$TP, S$CKPRV, S$MGDSN, S$NXTOK
 ST5A350  ROUTINE S$STPDT HURTS PERFORMANCE FOR 
          SORTS, ESPECIALLY SHORT SORTS. THERE IS NO
          REASON FOR IT TO BE CALLED FOR EVERY SORT,
          SINCE ITS FUNCTION CAN BE ACCOMPLISHED BY LOADER
          PRESETS ESTABLISHED AT BUILD TIME.
          GSP    9-15-83     S$GTCSP, S$STPDT (REMOVED) 
                             SKELETON 
 ST5A351  CHANGE ERROR 156 FROM C TO W AND CORRECT ERROR 68.
          DLW 12-7-83 S$ERMSG 
 ST5A352  FCTC MULTI-FILE TAPE TESTS WERE FAILING WHEN
          THE COBOL DEFAULT SORT WAS CHANGED FROM SORT 4
          TO SORT 5.
          THIS TURNED OUT TO BE DUE TO SOME OLD CODE IN 
          S$GTLOF WHICH WAS CLOSING ANY INPUT FILES WHICH 
          WERE OPEN.
          GSP    01-30-84    S$GTLOF
 ST50063  FIX VARIOUS GLITCHES WHEN ZERO OR NEGATIVE
          LENGTHS ARE SPECIFIED FOR SUM AND KEY FIELDS. 
          GSP    8-22-83     S$GTIMI, S$GTCSP, E$, S$ERMSG
 ST50066  INTERMEDIATE MERGE WENT INTO AN INFINITE LOOP 
          WITH SOME TYPES OF VARIABLE-LENGTH RECORDS. 
          GSP    8-30-83     S$GNPIB
 ST50068  CRM ERROR 167 PRODUCED WHEN SORTING VARIABLE
          LENGTH RECORDS
          GSP    8-26-83     S$GNGIV
 ST50069  UNEQUAL FL FOR FILES WITH RT=F PRODUCED 
          ALTERED DATA IN SOME RECORDS. 
          GSP    9-21-83     S$PRSPC
 ST50070  L=$NULL DID NOT WORK. 
          GSP    10-17-83    S$PTLF 
 ST50071  VARIABLE LENGTH RECORDS FAILED WHEN 
          THE INTERNAL LENGTH FIELD SPANNED TWO WORDS,
          NEITHER ONE OF WHICH WAS THE DESCRIPTOR.
          GSP    12-5-83     S$GNPIB
 ST50080  WHEN THE LAST PART OF THE KEY WAS A FULL WORD,
          THE WRONG CODE WAS EXECUTED. THE TEST -LE 60- WAS 
          CHANGED TO -LE 59- TO HANDLE THIS CASE CORRECTLY. 
          ALSO REMOVE REDUNDANT CODE FOR THE CASE WHERE 
          BOTH KEYS ARE NEGATIVE. THIS SHOULD IMPROVE 
          PERFORMANCE.
          GSP    01-12-84    S$GNCMP, LBLPTR
 ST50085  COMMAND PROCESSOR FAILED WHEN KEY SPECIFICATION 
          WAS WRITTEN KEY= ((X,X..  RATHER THAN AS
          KEY=((X,X... OR KEY = ((X,X.. BECAUSE OF THE SPACING. 
          SPECIFICALLY, IN THIS CASE THE ENTIRE SECOND
          KEY DESCRIPTION WAS IGNORED.
          THIS IDENT ALSO TIDIES UP THE CODE FOR S$CKSPC
          TO MAKE IT MORE LEGIBLE AND SIMPLE TO FOLLOW. 
          GSP    01-18-84    CLP$GVC, S$CKSPC 
 ST50095  WHEN FASTIO WAS IN EFFECT, THE E.P. (ERROR
          PROCESSING) BIT IN THE FET WAS NOT CLEARED, 
          EVEN THOUGH FASTIO HAD NO ERROR PROCESSING
          CODE. THIS PREVENTED THE O.S. FROM ABORTING THE 
          JOB WHEN THERE WERE HARDWARE ERRORS, ET CETERA. 
          THIS CODE CLEARS THE E.P. BIT FOR ALL FASTIO
          FILES.
          GSP    01-17-84    S$GNFM1, S$GNIN1, S$GNGR1, 
                             S$GNSH1
 ST50096  SORT 5 DID NOT CALL USER OWN-CODE 4 
          ROUTINE IN THE CASE OF A NULL SORT. 
          THIS WAS NOT COMPATIBLE WITH SORTMRG 4. 
          GSP    01-23-84    S$GNSH1
 *L628*    ************************************************ 
 ST5A353  ADD NEW DECK SM5NODA TO ENABLE SUPPRESSION OF 
          DAYFILE MESSAGES FROM THE SORT 5 CALLING
          SEQUENCE. 
          GSP    3-14-84     S$INSEQ, SQ$NAMES, SM5NODA(NEW), 
                             SKELETON 
 ST50074  PREVENT ILLEGAL I-O REQUEST ON CONNECTED NOS-BE 
          FILES.
          GSP    07-31-84    S$GNGR1
 ST50077  DIALOG ACCEPTED COLLATING SEQUENCE NAMES WHICH
          BEGAN WITH A NUMBER. THIS WAS NOT IN AGREEMENT
          WITH THE MANUAL.
          GSP    07-11-84    S$GTIKY
 ST50087  JOB NOT ABORTED AT END IF SUMMING OVERFLOW
          OCCURRED. 
          GSP    07-10-84    S$MAIN,S$GNSMK,E$,S$ERMSG
 ST50089  MERGE OF IDENT ST50033 REWOUND THE OUTPUT FILE
          BEFORE WRITING TO IT.  IT SHOULD ONLY DO THIS 
          IF THE USER HAS ASKED FOR IT WITH A FILE CARD.
          GSP    07-06-84    S$GNOM1
 ST50099  INCREASE MAXIMUM LENGTH OF DISPLAY SUM FIELDS 
          FROM 10 TO 17 CHARACTERS. 
          ALSO CORRECT FLAW IN S$GNRF FOR KEY FIELDS
          GREATER THAN 10 CHARACTERS (NUMERIC_FS) IN
          AN END CASE WHERE THE NEGATIVE SIGN WAS LOST. 
          THIS IDENT REQUIRES A ONE-LINE INSTALLATION 
          DECK CHANGE (FOR THE NEW CAPSULE S$LNGSM).
          GSP    3-20-84     S$GNIN, S$GNRN, S$STREC, 
                             S$SETWH, S$TBL1, S$ERMSG,
                             E$, S$LNGSM (NEW), S$SETWH,
                             S$GTSPC, S$MAIN, SKELETON, 
                             S$GNIF, S$GNRF, /SETUP,
                             /UPDATE
 ST50110  IF MERGE/VERIFY PRODUCES A VERIFY ERROR,
          FLUSH THE BUFFER OF THE OUTPUT FILE.
          CODE SUBMITTED BY C.B.S. HOLLAND. 
          GSP    07-03-84    S$GNVFY,S$GNOPM
 ST50111  AVOIDS OVERFLOW OF NPRUS IN STRTBL IF VERY
          LARGE STRINGS ARE FORMED. 
          CODE SUBMITTED BY CBS HOLLAND.
          GSP    6-26-84     S$GNLG4
 ST50114  IF OWNCODE SPECIFIED WITHOUT OWNF, NO ERROR MESSAGE 
          WAS GIVEN.
          THIS IDENT DEPENDS ON ST50087 FOR THE ERROR TEXT. 
          GSP    07-16-84    S$SETWH
 ST50116  WHEN FATAL ERROR WAS RETURNED BY THE USER-CALL LOAD,
          SORT PUT A MESSAGE IN THE DAYFILE BUT DID NOTHING 
          ELSE. THIS MODSET CALLS S$ERROR, WHICH WILL TRIGGER 
          APPROPRIATE CALLS TO S$ABT OR TO SET THE STATUS 
          REGISTER. 
          THIS IDENT NEEDS ST50087 FOR TEXT OF ERROR MESSAGE. 
          GSP    07-16-84    S$SETWH
 ST50120  ERROR 116 NOT ISSUED FOR FIXED-LENGTH RECORDS.
          GSP    06-28-84    S$PRSPC
 ST50121  LONG SUM FIELDS WHICH SPANNED THREE INTERNAL
          WORDS RETURNED GARBAGE AS A RESULT OF *X2 
          BEING CLOBBERED BY A CALL TO S$GNIWD. 
          CODE SUBMITTED BY C.B.S. HOLLAND. 
          GSP    06-28-84    S$GNIF,S$GNIN
 ST50125  UNLOAD ACTION FAILED FOR SM4 CALLS ON INPUT FILES.
          GSP    07-17-84    S$GNGR1
 *L642*    ************************************************ 
 ST5A354  FILE NAMES FOR A MERGE MUST BE UNIQUE, SINCE THEY 
          ARE ALL OPEN SIMULTANEOUSLY. THIS IDENT DIAGNOSES 
          DUPLICATE FILE NAMES AND STOPS THE MERGE IF NECESSARY.
          GSP    09-20-84    S$PRSPC, E$, S$ERMSG 
 ST5A355 CHANGE ERROR MESSAGE 156 PER BSL S4868 
         DLW 12-03-84 S$ERMSG 
 ST50062  TURN OFF MALFUNCTIONING FASTIO CODE FOR IW FILES. 
          GSP,SS    12-27-84    S$PRSPC 
 ST50138  ADD ONE WORD TO SORT-S WORKING STORAGE AREA 
          TO CIRCUMVENT A BUG IN COBOL5 RELATIVE I-O. 
          GSP    09-13-84    S$ALCS 
 ST50142  Z-TYPE RECORDS WERE GARBLED AFTER WARNING MESSAGE 
          NUMBER 73 WAS ISSUED. 
          GSP,SS    12-27-84    S$PRSPC 
 ST50152  -Y- PARAMETER NOT RECOGNIZED BY SM5FAST ROUTINE.
          GSP    11-08-84    SM5FAST
 ST50154  ALLOWS NUMERIC_TO AND NUMRIC_TS AS SUM FIELD TYPES
          WHEN USING SORT5 WITH DIALOG=Y. 
          SS     11-26-84    S$GTIMI
 ST50162  CLOSE OUTPUT FILE BEFORE EXIT WHEN OWNCODE5 
          IS USED FOR A LONG SORT.
          SS    1-29-85     S$GNFM2 
 ST50174  ALLOW TO SORT RECORDS EXCEED 5000 CHARACTERS. 
          SS    4-3-85    S$PRSPC,S$ERMSG 
 *L650*    ************************************************ 
 ST5A363  CONTINUATION LINE IN A DIRECTIVE FILE SHOULD NOT BEGIN WITH 
          "SORT" OR "MERGE" . WHEN RANGE IS SPECIFIED IN A SEQS,AND IS
          NOT THE FIRST SET, THE VALUES OF THE RANGE ARE LOST TOTALLY.
          SS    5-10-85     S$GTTXT,S$GTCSP 
 ST5A365  RETAIN FAILED WHEN SORTING LARGE FILE ( > 262144 RECORDS ). 
          SS     7-15-85      S$GNORD 
 ST5A371  SORTING ZERO RECORDS FROM VARIABLE-LENGTH OWNCODE 
          GETS MODE INDEFINITE. 
          SS    8-12-85     S$COLST 
 ST5A374  SORT5.DIA=YES DOES NOT WORK ON ASCII MODE.
          SS    9-7-85     S$AHELP,S$GTIKD
 ST50155  IF FASTIO IS USED, INPUT-FILES ARE NOT REWOUND AFTER USE. 
          SS     7-24-85      S$GNGR1 
 ST50165  ERROR MESSAGE 158 WAS ISSUED TWICE
          FOR EVERY DUPLICATE FILENAME. 
          SS    03-08-85    S$PRSPC 
 ST50171  AVOIDS CM OUT OF RANGE AT SHORT SORT WITH SUMMING OVERFLOW. 
          CBS SUGGESTED CODE. 
          SS    7-18-85     S$GNSMK 
 ST50172  AVOIDS INTERNAL ABORT S$NWLBL-1 AT SUMMING IF A NUMERIC_FS
          FIELD LONGER THAN 10 CHARACTERS IS FOLLWED BY ANOTHER 
          NUMERIC_FS SUMFIELD. CBS SUGGESTED CODE.
          SS     7-18-85      S$GNRF
 ST50176  RECORDS WITH NUMERIC KEYS LONGER THAN 20 CHARACTERS 
          NOT STARTING AT WORD BOUNDARY ARE TOTALLY DISTURBED.
          SS   4-24-85    S$GNRF,S$GNRN 
 ST50181  INCREASE MINIMUM BUFFER SIZE IN THE FINAL MERGE PHASE 
          FOR VERY LARGE RECORDS. 
          SS    7-8-85      S$ALCF
 *L670*    ************************************************ 
 ST5A362  IMPROVE PERFORMANCE OF ALL BUT VERY SHORT SORTS 
          BY ALLOCATING BUFFERS BETTER DURING INTERMEDIATE MERGE. 
          AVOIDS LOADING UNUSED FUNCTION S$ISQRT. 
          SETS SIZE OF WORKING STORAGE AREA MORE INTELLIGENTLY. 
          RESTORES CONCEPTUAL INTEGRITY TO SPEC$LWSA, THE 
          LENGTH OF THE WORKING STORAGE AREA. 
          GET MAXIMUM AVAILABE SPACE TO ALLOCATE WORKING STORAGE AREA.
          >>> CHANGE INSTALLATION PROCEDURE TO REFERENCE CMM FUNCTION.
          CODE RETRANSMIT 2-JUNE-86 
          DJF,SS    8-NOV-85     MACHINE  S$ALCS  S$MGDSN  S$PSPEC
                                 S$SRTPH  S$SETWH  S$STREC S$MRGPH
                                 S$CMGFS(NEW)  S$GTMFL(NEW) 
                                 SKELETON  SPEC$
 ST5A378  INCORRECT MESSAGES IN INTERACTIVE DIALOG AND DIAGNOSTICS. 
          SIS     5/20/86     S$ERMSG,S$GTIKD 
 ST50141  WHEN SORT5 IS TERMINATED BY CONTROL-T, NO JUMP TO EXIT. 
          SS    1/7/85      S$STRPV 
 ST50159  CF AND OF FILE-STATEMENT ARE NOT PROPERLY PROCESSED.
          SS    1/6/86      S$GNGR1,S$GNFM1,S$GNSH1,LBLPTR
 ST50164  FIX VERIOUS PROBLEMS ON SM5SEQN, SM5SEQS, SM5SEQA, SM5SEQR. 
          SS    1/10/86      SM5SEQS,SM5SEQA,SM5SEQR,S$SEQX 
 ST50186  IMPLEMENTING FEATURE TO ALLOW KEY FIELDS OVERLAP. 
          SS    5-20-86      S$PRSPC,S$SETWH,S$ERMSG,SPEC$,E$ 
                             S$GNINV,S$GNREV
 ST50187  SM5KEY IGNORES ORDER PARAMETER IN FTN5 PROGRAM
          IF PARAMETER IS DECLARED AS AN ARRAY AND THE
          LENGTH IS LESS THAN A WORD. 
          SS    11-16-85     SM5KEY,S$5KEY
 ST50190  GIVE FATAL ERROR IF OWN-ROUTINE 
          CANNOT BE FOUND AT OWN-FILE.
          CODE SUBMITTED BY C.B.S. HOLLAND. 
          SS    12-10-85     S$OWNLD
 ST50191  FIX REWIND PROBLEM FOR FASTIO.(ST50155) 
          SS    1/10/86      S$GNGR1
 ST50192  LAST RECORD IS LOST IF MERGE WITH OWNCODE 5.
          CODE SUBMITTED BY C.B.S. HOLLAND. 
          SS     2-17-86     S$GNOM1,S$GNOM2
 ST50193  IF OWN-ROUTINES AND FASTIO ARE USED FOR OUTPUT
          THEN RECORDS ARE GARBLED
          CODE SUBMITTED BY C.B.S. HOLLAND. 
          SS    12-10-85     S$GNPR1,S$GNPR3
 ST50198  RECORD LENGTH FROM OWNCODE 1 NOT BEING ACCEPTED.
          SS    2-28-86     S$PRSPC,S$SETWH 
 ST50208  PRINT NUMBER OF SUMMED RECORDS IN DAYFILE.
          CODE SUBMITTED BY C.B.S. HOLLAND. 
          SIS    5-20-86     S$MESAG
 *L688*    ************************************************ 
 ST5A381  WRONG MINIMUM BUFFER LENGTH CAUSES SORT5 HANG.
          DJF,SS    8-OCT-86     S$MGDSN
 *L716*    ************************************************ 
 ST50226  SPEC$ENRHIGH IS ASSIGNED THE VALUE -1 IF THE USER DOES NOT
          SPECIFY ENR (ESTIMATED NUMBER OF RECORDS).  BUT SPEC$ENRHIGH
          IS DECLARED AS AN UNSIGNED VARIABLE.  THIS MEANS THE -1 VALUE 
          IS EFFECTIVELY INFINITE, WHICH CAUSES TOO MUCH CENTRAL MEMORY 
          FIELD LENGTH TO BE USED.  FOR A 100,000 RECORD SORT (RT=F,
          FL=130) THIS CAN LEAD TO A 50% INCREASE OF USED SRU'S.
          DJF    8/9/88      SPEC$  (S$ALCS, S$SETWH, S$STREC)
 ST50227  PROGRAM CALLING SORT 5 GETS "INTERNAL ERROR S$ALCS-1".
          THIS IS ACTUALLY A USER ERROR INDICATING THAT SORT THINKS 
          THAT NOT ENOUGH MEMORY IS AVAILABLE TO DO THE SORT, 
          AS REPORTED TO SORT BY CMM.GFS. 
          PRIOR TO CMMA077 THIS NUMBER MAY HAVE BEEN INCORRECT. 
          ADDITIONALLY, MORE SPACE MIGHT BE RETURNED BY CMM.ALF 
          THAN IS REPORTED BY CMM.GFS  WHEN AN OWNCODE CMM RECOVERY 
          PROCEDURE OR CMM OVERFLOW ACTION PROCEDURE IS ACTIVATED BY
          CMM.ALF.  THIS CODE HANDLES THE LATTER CASE BY DETECTING THAT 
          SITUATION AND LETTING THE OWNCODE CMM RECOVERY ROUTINE OR CMM 
          OVERFLOW ACTION ROUTINE ATTEMPT TO RELEASE ENOUGH SPACE 
          (AFTER FIRST ISSUING A WARNING).
          IF THERE IS DEFINITELY NOT A MINIMUM AMOUNT OF SPACE, 
          A FATAL MESSAGE IS ISSUED TO THE DAYFILE AND THE JOB IS 
          ABORTED.
          DJF    10/20/87     S$ALCS, S$CMGFS, S$SRTPH, S$MRGPH 
  
 *L739*    ************************************************ 
 *L780*    ************************************************ 
 *L797*    ************************************************ 
 *L803*    ************************************************ 
 *L826*    ************************************************ 
 *L840*    ************************************************ 
 *L847*    ************************************************ 
 *L851*    ************************************************ 
 *L859*    ************************************************ 
 *L871*    ************************************************ 
ST5A197   IMPLEMENT SMABT ROUTINE.
          PURGE S$FITF AND -SAVEFEITF WHICH ARE NO LONGER NEEDED. 
          TND    03/03/81    S$SORT,S$MERGE,S$GTFIT,S$FILE,S$MAIN,
                             SMEND,S$REFIT
ST5A137   FIX INVALID ERROR 4,111,112 ISSUED. 
          TND    02/25/81    SM5SEQN
  
ST5A149   FIX CALL OUT OF SEQUENCE ERROR
          TND    03/05/81    SM5SORT,S$SETPT,S$GTLOF,SQ$NAMES,S$INSEQ,SM5END
CBSFAST   FIXES MODE ERROR WHEN FASTIO=YES IS SPECIFIED.
          ALSO FIXES PROBLEM WITH READ FAILURE WHEN MORE
          THAN 1 INPUT FILE IS SPECIFIED. 
  
          GSP    2/18/81     S$STBFS,S$GNGR1,S$GNFM2,S$GNPR1,S$GNPR3
ST5A094   FIXES ERROR MESSAGE KEYWORD (XXXXX) INVALID 
          AND OTHER MINOR PROBLEMS WITH ERROR PROCESSING
  
          GSP 2/26/81 S$PRSPC,S$GTFIT,E$,S$ERMSG,S$OPT,S$FILE 
ST5A151   FIX CRM ERROR 51,143 WHEN COBOL PROGRAM 
          CALLED SORT5
          TND    02/27/81    S$PRSPC,S$GTLOF,S$STFIT,S$FETCH
ST5A153   FIXES PROBLEM WITH TIME LIMIT WHEN SORTING VERY 
          LARGE RECORDS. CODE WAS ADDED TO INCREASE THE SIZE
          OF CODE$ TO 6000 DECIMAL WORDS. 
  
          GSP    2/25/81     S$ALCS,E$,S$ERMSG,S$SRTPH,S$PRSPC
ST5A136   STATUS VARIABLES, FOR ST=XXX AND SM5ST(XXX), NOW ARE SET
          DEPENDS ON IDENT ST5A139
          WFD    03/03/81    S$GTSPC,S$PASS,S$STVAR,S$SSTAT 
                             S$ERR,SKELETON,S$MAIN,SM5ST
                             SORT5,MERGE,SM5SORT,SM5MERG
ST5A145   ISSUES ERROR WHEN DUPLICATE PARAMETERS SPECIFIED
          ALLOWS SPACES TO PRECEDE VERBS IN DIRECTIVE FILE
          WFD    03/04/81    S$ERMSG,E$,CLP$TP,S$GTTXT
ST5A173   DELETE ERROR 66 
          ALLOW 'SORT5...' TO BE USED IN CONTROL STATEMENT
          FIXS S$GORA, STOPS S$GORA FROM RETURNING TO S$GTCSP 
          WFD    03/04/81    S$GTTXT,S$ERMSG,E$,S$GORA
ST5A080   ALLOW ')' AFTER CONTROL CARD VERBS  'SORT5' AND 'MERGE' 
          WFD    03/05/81    S$GTTXT
ST5A076   FIXS 'S$CKSPC_1' INTERNAL ABORT 
          SUPPRESS THE ISSUING OF TWO 'ERROR 23'
          WFD    03/05/81    S$CKSPC
ST5A077   FIX 'CLP$GTV_1B' INTERNAL ABORT CAUSED BY NOT 
          RECOVERYING FROM ISSUING ERROR 70 (IN S$GTCSP)
          WFD    03/05/81    S$GTCSP
ST5A144   STOP 'QUIT' IN INTERACTIVE DIALOG FROM CAUSING
          MODE ERROR/EXCHANGE PACKAGE 
          WFD    03/09/81    S$GTSPC
ST5A078   ELIMINATE INTERNAL ABORT 'CLP$GVC_4' WHEN 
          TOKENTYPE'DOT' OR 'EQUALS' ARE ENCOUNTERED. 
          ELIMINATE INTERNAL ABORT 'CLP$GVC_5'. 
          ELIMINATE INTERNAL ABORT 'CLP$TR_4'.
          WFD    03/10/81    CLP$GVC,S$GTCSP,CLP$TR 
ST5A079   ELIMINATE INTERNAL ABORT 'CLP$GTV_4'. 
          WFD    03/11/81    CLP$GTV
ST5A097   FIXES PROBLEM WITH SORT-4 COMPATIBLE CALLS
          WHICH HAVE ONLY 6 PARAMETERS
  
          GSP    3/2/81      S$KEY
ST5A156   FIXES INTERNAL ABORT LABELLED S$NWLBL-1 
          FIX MISSING LAST RECORD WITH OWN5 
          STORE MRL FROM SMSORT INTO FIT
  
          CODE CHANGES ONLY 
  
          GSP    3/3/81      S$GNPR2,E$,S$ERMSG,S$GNGR1,S$GNPR3 
          TND    03/06/81    LBLPTR, S$GNPR3, S$GTFIT 
ST5A161   SORTS WITH VARIABLE-LENGTH RECORDS WERE FAILING WHEN
          THE MINIMUM RECORD LENGTH (AS DEFINED BY THE RIGHT-MOST 
          KEY CHARACTER) WAS EQUAL TO THE MAXIMUM RECORD LENGTH.
          THIS CODE FIXES THE PROBLEM BY TREATING THE RECORDS 
          AS FIXED-LENGTH.
          DJF    3/11/81     S$PRSPC
ST5A162   FIXES PROBLEM WITH SM5FAST. 
          DJF    3/11/81     SKELETON, SM5FAST(NEW) 
ST5A163   FIXES VARIABLE-LENGTH RECORDS FOR LONG SORTS. 
          DJF    3/9/81      S$GNCVE, S$GNFMG, S$GNGEN, 
                             S$GNGIV, S$GNLNG, S$GNPIR, 
                             SKELETON 
ST5A186   FIXES PROBLEM CALLING LOADER WITH LFN < 7 CHARS 
  
          GSP    3-18-81     S$OWNLD
ST5A190   ST5A163 CAUSED LONG SORTS TO FAIL FOR FIXED-LENGTH RECORDS. 
          THIS FIXES THE PROBLEM. 
          DJF    3/17/81     S$GNGIR,S$SETCD
ST5*81    1981 COPYRIGHT
          DJF    3/3/81      COPYRIGHT
ST5A195   FIX NUMEROUS SCANNER ERRORS 
          SPLIT UP CAPSULE S$GTSPC INTO THREE CAPSULES
          WFD    3-25-81     S$GTTOK,CLP$SPL,CLP$TR,S$GTCSP 
                             CLPARRA,KT$,/SETUP,/UPDATE 
                             S$SETPT,SKELETON,S$CKSPC 
ST5A154   FIXES PROBLEM - CLOBBERING RA+0 
          ALSO FIXES PROBLEM WITH S$GTCSP NOT SETTING OWNFL 
          WHEN IT IS SPECIFIED
  
          GSP    3-25-81     S$GNGR2,S$GNLG1,S$GTCSP
ST5A193   FIXES PROBLEMS WITH S$GNCVE 
  
          GSP    4/1/81      S$GNCVE
ST5A183   CORRECTS STATISTICS ARRAY VALUES. 
          WFD    3-30-81     S$GNGR1,S$GNGR2,S$GNPR1,S$GNPR3
                             S$PRSPC,S$COLST
                             SORT5,MERGE,S$MAIN 
ST5A176   PROVIDES REPRIEVE PROCESSING FOR SORT5
  
          GSP    3/11/81     S$STRPV,S$PASS,S$MAIN,SKELETON 
ST5A201   CONTAINS PURGES OF UNNECESSARY PROGRAM STUBS
          GSP    4/6/81            S$GNIFS,S$GNRFS,S$REFIT,S$GNIP 
                                   S$GNIPN,S$GNRP,S$GNRPN 
ST5A202   ENABLES RESTRUCTURED PL TO BUILD ON NOS/BE
          GSP    4-13-81     S$PASS,SKELETON
ST5A109   DELETES ALL REFERENCES TO ERROR MESSAGE NUMBER 55 
          ALSO DELETES ERRONEOUS STORE OF MRL IN S$GTFIT
  
          GSP    4-10-81     E$,S$ERMSG,S$PRSPC,S$GTFIT,S$GNGR
ST5A112   ISSUE ERRORS WHEN INPUT,OWN1 OR OWN2 NOT GIVEN, 
          AND WHEN OUTPUT,OWN3,OR OWN4 ARE NOT GIVEN. 
          WFD    4-9-81      S$SETWH,E$,S$ERMSG,S$GTCSP,MAINGSPL
ST5A158   FIXES PROBLEM WITH S$GTLOF ON NOS/BE
          GSP    4-15-81           S$GTLOF
ST5A140   FIXES MODE ERRORS OCCURRING ON NOS/BE 
          GSP    4-16-81           S$SJCR,/UPDATE 
ST5A204   CHANGE LENGTH OF COLLATING SEQUENCE AND EQUATE NAMES
          TO 10 CHAR. FROM 7 CHAR.
          TND    04/24/81    S$SETWH
ST5A205   NUMERIC_XX KEYS NOT RECOGNIZED
          TND    04/21/81    S$ANSKS
ST5A207   VARIABLE-LENGTH RECORDS WERE FAILING. 
          THIS FIXES THE PROBLEM. 
          DJF    4/30/81     S$GNFMG, S$GNGIV, S$GNIMG, S$GNLNG,
                             S$GNPIB, S$GNPIR, S$PRSPC
ST5A209   MAKE STRTBL$ AND IMTBL$ DYNAMICALLY ALLOCATED.
          TO DYNAMICALLY ALLOCATE SPEC$ ARRAY,
          AND TO INSERT $BEGIN/$END ARROUND REMAINING CALLS 
          TO S$PRTCD. 
          WFD    4-1-81      S$SRTPH,STRTBL$,IMTBL$ 
                             S$GTSPC,S$MAIN,SPEC$,SKELETON
                             S$PSPEC,S$NXTOK,S$GTTXT,S$GTCSP
                             S$GNPIR,S$ALCF,S$ALCS,S$SETWH,S$GNLG1
                             S$GNFET,S$GNFMG,S$GNFM1,S$GNFM2,S$MGDSN
                             FMTBL$,S$GNLG4,S$DSASM,S$PRSPC 
                             S$SRTPH,S$RTNAD
 *L552*    ************************************************ 
ST5A071   ADD CODE TO S$ERR TO CHECK FOR CATASTROPHIC ERRORS. 
          MAKE MODIFICATIONS TO ERROR MESSAGES 81,82,109. 
          DELETE INTERNAL ABORTS IN CLP$GTV, -GVC, -TR. 
          MAKE S$GTCSP EASILY TO SCAN THROUGH(VISUALLY).
          WFD    5-13-80     S$ERR,S$ABT,S$GTCSP,CLP$GTV,CLP$GVC
                             S$ERMSG,CLP$TR 
ST5A074   STOPS GETERROR(IN S$ERR) FROM OVER REFERENCING STRING$$ 
          WFD    5-14-81     S$ERR
ST5A155   MAKE DIALOG INTERFACE NICELY WITH NOS/BE INTERCOM 
          GSP  7-9-81   S$GTRES,S$PRMPT,SKELETON,S$GTCTL
                        S$SETPT,S$CALLER,S$CONCT
ST5A181   FIXES DISPOSAL ACTION FOR *SMFILE* CALLS. 
          DJF    6/6/81      S$FILE, S$GNPR1,  S$STORE(NEW),
                             ST5TEXT, LBLPTR, SKELETON
ST5A210   IMPLEMENT MERGE AND SUMMING DIALOG
          TND    07/07/81    SKELETON,SPEC$,S$SETWH,S$SETPT,S$GTTXT,
                             S$GTIIN,S$GTIKD,S$GTIKY,S$GTIMI
ST5A211   1.  FIXES PROBLEM WITH SORT NOT RELEASING ALL MEMORY
              REQUESTED FROM CMM
          2.  FIXES ENR PROBLEM WITH CONTROL-CARD CALLS 
          3.  PREVENTS RETURN OF "CODE" UNLESS IN DEBUGGING MODE
          GSP    5-12-81     S$SRTPH,S$MAIN,S$GTCSP,S$RTNFL,S$SETPT 
ST5A166  FIX LONG SORTS ON NOS-BE 
          TND,GSP    7-20-81     S$GNLG1,LBLPTR,S$GNLG4,S$RTNFL,S$GNIM1 
ST5A212   MAKES MODIFICATIONS TO ST5A183 MODS TO CORRECT
          THE CALCULATION OF THE 'AVERAGE RL' ELEMENT 
          OF THE STATISTICS ARRAY 
          WFD    5-8-81      S$COLST,S$PRSPC
ST5A213   FIX PROBLEMS WITH ERRORS GOING TO WRONG FILE
          GSP    6-17-81     S$ERR,SM5E 
ST5A214   FIX PROBLEM WITH SORT ALTERING KEYS WHEN NOT ASKED TO 
          GSP 5-28-81 S$SETWH,S$ERMSG,E$,S$GNREV,RP$
ST5A217   ENABLE LOADING OF OWNT=OLD OWNCODE FROM A FILE
          GSP    5-19-81     S$OWNLD,S$PASS,SKELETON
ST5A218   PREVENT MERGE DESIGN TO CREATE TWO FINAL MERGE STRINGS ON SAME
          FILE FOR FINAL MERGE WHICH CAN CAUSE HANG OR LOSS OF DATA.
          TND    06/01/81    S$MGDSN,S$SRTPH,S$GNINI,S$GNLNG, 
                             S$GNIN1,S$GNIN3,S$GNLG1,S$GNORD
ST5A219   SETS PD=INPUT FOR ALL -FROM- FILES
          GSP    5-19-81     S$GNGR1,S$GNIN1
ST5A220   FIX S$ANSNM SO IT WILL NOT ACCEPT NON-NUMERIC INPUT 
          GSP    5-19-81     S$ANSNM
ST5A222   IDENT TO TURN SORT5 PASSLOC TABLE INTO A COMDECK
          SO IT CAN BE REFERENCED BY THE 0,0 OVERLAY AND BY THE 
          ROUTINE S$OWNLD.
          DRAMATICALLY INCREASES THE SIZE OF THE PASSLOC TABLE
          TO INCLUDE ALL EXISTING ENTRY POINTS IN FDL, CMM, AND 
          CTL$RM
          GSP    5-19-81     S$PASS,PASSLOC 
ST5A223   SORT 4 CALLED FROM FTN WITH *SMABT* DOES NOT COMPLAIN 
          ABOUT *MRL* NEGATIVE OR TOO LARGE, SO SORT 5 SM<XXXXX>
          CALLS WITH *SMABT* ALSO CANNOT.  THIS FIXES THE PROBLEM.
          ALSO, SORT 4 DOES NOT COMPLAIN ABOUT *BA* TOO LARGE, SO 
          SORT 5 MUST COPE WITH THAT TOO. 
          DJF    5/28/81     S$PRSPC, S$SETWH 
ST5A225   FIX INTERNAL ABORT S$MGDSN-4 DUE TO RUNNING OUT OF ZZZZZ FILES
          FOR INTERMEDIATE MERGE. THIS CODE CHANGES THE FILE LIMIT TO 45
          TND    06/01/81    S$MGDSN,S$GNLG4
ST5A227   LOST OF RECORDS WHEN RETAIN IS USED.
          TND    06/01/81    S$MGDSN
ST5A228   SORT5 CONTROL CARD ABORT WITH ERROR 68 ONLY 
          FOR CBS HOLLAND 
          TND    06/05/81    S$GTSPC
ST5A240   MAKE THE LISTING OF THE DIRECTIVE FILE APPEAR IN PRINT
          GSP 6-17-81 
ST5A243   ISSUES CATASTROPHIC ERROR 155 IF RETURN CODE
          NRA IS NOT IN RANGE 0-3 
          TND    06/18/81    S$GNGR1,S$GNGR2,S$GNPR1,S$GNPR2,S$GNPR3
                             LBLPTR,S$ERMSG,S$PRSPC 
ST5A244   WHEN SHORT KEYS WERE USED WITH VARIABLE-LENGTH RECORDS
          THE OUTPUT RECORDS WERE GARBLED.  THIS FIXES THE PROBLEM. 
          DJF    6/22/81     S$GNCVI
ST5A247   FIX SYSTEM EDITLIB DIAGNOSTIC ON NOSBE
          GSP    6-17-81
ST5A248   FIX BUFFER ARGUMENT ERROR WHEN RUNNING LARGE SORT 
          TND    06/17/81    S$MGDSN
ST5A251   SORT WAS TRUNCATING ANY BIT POSITION WHICH COULD NOT
          BE CONTAINED IN TEN BITS. A KEY SPECIFIED AS
          KEY=((2000,10,INTEGER_BITS)) WOULD FAIL BECAUSE ONLY TEN
          BITS WERE RESERVED IN SPEC$ TO HOLD THIS NUMBER(1024 MAX.)
          THESE MODIFICATIONS FIX THE PROBLEM 
          IN ADDITION, SOME CODE IS INCLUDED WHICH ASSURES THAT EXITS 
          2 AND 4 CALL OWNCODE WITH A RECORD-LENGTH OF ZERO AS PER ERS
          GSP    6-29-81     SPEC$,S$GNGR1,S$GNGR2,S$GNPR1,S$ERMSG
ST5A253   IMPROVE PERFORMANCE BY SMARTENING UP THE RETURN 
          OF SORT'S INTERNAL FILES
          DJF,GSP  7-8-81   S$MAIN,S$SRTPH,S$RTNFL
ST5A256   CHANGE ERROR LISTING HEADING TO 72 COLUMNS
          TND    07/16/81    S$ERRHD
ST5A196   IMPROVES PERFORMANCE BY 
             REDUCING SIZE OF CODE GENERATION CAPSULES
          ALSO INCLUDES MEANS FOR PERFORMANCE MEASUREMENT.
          DJF    6/30/81
ST5A255   SORT WAS MANGLING RECORDS WHEN KEYS WITH NO ALTER 
          WERE SPECIFIED LONGER THAN ONE WORD (60 BITS). THIS 
          WAS DUE TO AN OVERSIGHT IN S$SKIP.
          GSP    7-27-81     S$SKIP 
ST5A258   SORT WAS ABORTING AFTER A COMPLETE INTERACTIVE DIALOG 
          DUE TO A PERIOD ON THE END OF THE CONTROL STATEMENT 
          GSP    7-29-81     S$SSC,S$ERMSG,CLP$SPL
ST5A177   DAYFILE MESSAGE FOR SUCCESSFUL COMPLETION 
          GSP    7=31-81     S$COLST,S$MESAG,SKELETON,PASSLOC 
ST5A141   SORT5 VERIFICATION JOB ABORTED WITH 63
          CHARACTER SET INSTALLED.
          GSP    8-4-81      S$DIRHD,S$FILE,S$GTCSP,S$GTRES 
                             S$GTTXT,S$KEY,S$PRSPC,S$SETWH
ST5A203   ADD PARAMETER TO SM5RETA(IN)
          WFD    4-15-81     SM5RETA
  
